package com.goafanti.expenseAccount.bo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class SonExpenseAccount {
    private Integer id;
    private Integer prid;
    private BigDecimal totalAmount;
    private BigDecimal settlementAmount;
    private BigDecimal amount;
    private BigDecimal realAmount;
    private Integer type;
    private String typeOther;
    private String userNames;
    private Date releaseStart;
    private Date releaseEnd;
    private String districtName;
    private Integer secondaryType;
    private String secondaryTypeOther;
    private String attachmentUrl;
    private String duration;
    private String plan;
    private String contractNo;
    private String orderNo;
    private String buyerName;
    private String buyerId;
    private Integer debitId;
    private Integer publicReleaseType;
    private BigDecimal debitRealAmount;
    private BigDecimal debitSettlementAmount;
    private Integer debitLiquidationStatus;
    private Integer bidType;
    private String  countStr;
    private List<SonExpenseAccountDetails> detList;

    public Integer getBidType() {
        return bidType;
    }

    public void setBidType(Integer bidType) {
        this.bidType = bidType;
    }

    public String getCountStr() {
        return countStr;
    }

    public void setCountStr(String countStr) {
        this.countStr = countStr;
    }


    public String getBuyerId() {
        return buyerId;
    }

    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public Integer getPrid() {
        return prid;
    }

    public void setPrid(Integer prid) {
        this.prid = prid;
    }

    public Integer getPublicReleaseType() {
        return publicReleaseType;
    }

    public void setPublicReleaseType(Integer publicReleaseType) {
        this.publicReleaseType = publicReleaseType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getDebitId() {
        return debitId;
    }

    public void setDebitId(Integer debitId) {
        this.debitId = debitId;
    }

    public BigDecimal getDebitRealAmount() {
        return debitRealAmount;
    }

    public void setDebitRealAmount(BigDecimal debitRealAmount) {
        this.debitRealAmount = debitRealAmount;
    }

    public BigDecimal getDebitSettlementAmount() {
        return debitSettlementAmount;
    }

    public void setDebitSettlementAmount(BigDecimal debitSettlementAmount) {
        this.debitSettlementAmount = debitSettlementAmount;
    }

    public Integer getDebitLiquidationStatus() {
        return debitLiquidationStatus;
    }

    public void setDebitLiquidationStatus(Integer debitLiquidationStatus) {
        this.debitLiquidationStatus = debitLiquidationStatus;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getPlan() {
        return plan;
    }

    public void setPlan(String plan) {
        this.plan = plan;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public Integer getSecondaryType() {
        return secondaryType;
    }

    public void setSecondaryType(Integer secondaryType) {
        this.secondaryType = secondaryType;
    }

    public String getSecondaryTypeOther() {
        return secondaryTypeOther;
    }

    public void setSecondaryTypeOther(String secondaryTypeOther) {
        this.secondaryTypeOther = secondaryTypeOther;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTypeOther() {
        return typeOther;
    }

    public void setTypeOther(String typeOther) {
        this.typeOther = typeOther;
    }

    public String getUserNames() {
        return userNames;
    }

    public void setUserNames(String userNames) {
        this.userNames = userNames;
    }
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    public Date getReleaseStart() {
        return releaseStart;
    }

    public void setReleaseStart(Date releaseStart) {
        this.releaseStart = releaseStart;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    public Date getReleaseEnd() {
        return releaseEnd;
    }

    public void setReleaseEnd(Date releaseEnd) {
        this.releaseEnd = releaseEnd;
    }

    public List<SonExpenseAccountDetails> getDetList() {
        return detList;
    }

    public void setDetList(List<SonExpenseAccountDetails> detList) {
        this.detList = detList;
    }
}
